#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.1.1.0
visibility:           public
id:                   lsp-1.1.1.0-1AkK1aFfEaZ1NOqUl049vI
key:                  lsp-1.1.1.0-1AkK1aFfEaZ1NOqUl049vI
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/alanz/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell IDE
    Engine, at https://github.com/haskell/haskell-ide-engine

category:             Development
abi:                  7b1071cba0b26aaf5f9fc0c01532be57
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.1.0.0-1RKhnpTyeeZJ8DFV6knHmB:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.1.0.0-1RKhnpTyeeZJ8DFV6knHmB:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.1.0.0-1RKhnpTyeeZJ8DFV6knHmB:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.1.0.0-1RKhnpTyeeZJ8DFV6knHmB:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-8.10.4/site-local/lsp-1.1.1.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/lsp-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/lsp-1.1.1.0
hs-libraries:         HSlsp-1.1.1.0-1AkK1aFfEaZ1NOqUl049vI
depends:
    aeson-1.5.6.0-5UhD0HeD84KFPVsjqEyp8O
    async-2.2.3-bRJqoep3gj749cy8sss28
    attoparsec-0.13.2.5-J6b14THaxvY185NePfXLop base-4.14.1.0
    bytestring-0.10.12.0 containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV
    dependent-map-0.4.0.0-2g0lQQSmcbbDn8qTLaTCaI directory-1.3.6.0
    filepath-1.4.2.1 hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    hslogger-1.3.1.0-Kku3KUtgLU4DBxpof8Yn9d
    lens-4.19.2-GBzUOPAiptq9QOgOkivzaZ
    lsp-types-1.1.0.0-1RKhnpTyeeZJ8DFV6knHmB mtl-2.2.2
    network-uri-2.6.4.1-GUXxX2cZdMRG3s14SzzbEY
    random-1.2.0-ItNHUQGxAZG6kpAc0uGzLq
    scientific-0.3.6.2-AXTolO4hTOaFVm5OrhDpop
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk stm-2.5.0.0 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-ApNkHwNvshX8NJ7lvcglMy
    uuid-1.3.14-9hzi3WGp6FE7pVmPoqgQ2W

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

